%global _configure ../configure

Name:		dbus-python
Version:	1.2.16
Release:        1
Summary:	original Python binding for dbus
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/DBusBindings/
Source0:	http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz
Source1:	http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz.asc
Patch0: 	0001-Move-python-modules-to-architecture-specific-directo.patch

BuildRequires: dbus-devel dbus-glib-devel python2-docutils glib2-devel
BuildRequires: dbus-x11 python2-gobject python3-gobject
BuildRequires: autoconf-archive automake libtool gdb

%description
Dbus-python is the original Python binding for dbus, the reference
implementation of the D-Bus protocol.

%package -n python2-dbus
Summary:        Python2 bindings for dbus
BuildRequires:	python2-devel
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release}
%{?python_provide:%python_provide python2-dbus}

%description -n python2-dbus
Python2 bindings for dbus.

%package -n python3-dbus
Summary: 	Python3 bindings for dbus
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-dbus}

%description -n python3-dbus
Python3 bindings for dbus

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif

mkdir -p python2-build python3-build
pushd python2-build; %configure PYTHON="%{__python2}"
%make_build; popd

pushd python3-build; %configure PYTHON="%{__python3}"
%make_build; popd

%install
%make_install -C python2-build
%make_install -C python3-build
find %{buildroot} -name '*.la' -delete

%check
make check -k -C python2-build
make check -k -C python3-build

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n python2-dbus
%license COPYING
%{python2_sitearch}/_dbus_bindings.so
%{python2_sitearch}/_dbus_glib_bindings.so
%{python2_sitearch}/dbus/

%files -n python3-dbus
%license COPYING
%{python3_sitearch}/_dbus_bindings.so
%{python3_sitearch}/_dbus_glib_bindings.so
%{python3_sitearch}/dbus/

%files devel
%{_includedir}/dbus-1.0/dbus/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc

%files help
%doc NEWS ChangeLog README doc/API_CHANGES.txt doc/tutorial.txt

%changelog
* Fri Jul 31 2020 Liquor <lirui130@huawei.com> - 1.2.16-1
- Type:update
- ID:NA
- SUG:NA
- DESC:update to 1.2.16

* Sat Mar 21 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.2.8-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add build requires of gdb

* Wed Oct 30 2019 jiangchuangang<jiangchuangang@huawei.com> - 1.2.8-7
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify provides

* Sat Oct 12 2019 shenyangyang <shenyangyang4@huawei.com> - 1.2.8-6
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:add python-provides

* Mon Sep 30 2019 luhuaxin <luhuaxin@huawei.com> - 1.2.8-5
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: package rebuild

* Fri Aug 30 2019 luhuaxin <luhuaxin@huawei.com> - 1.2.8-4
- Package init
